Loading...
Searching...
No Matches
Opm::DeckItem Class Reference

## Public Member Functions

| DeckItem (const std::string &, int)
| DeckItem (const std::string &, RawString)
| DeckItem (const std::string &, std::string)
| DeckItem (const std::string &, double)=delete
| DeckItem (const std::string &, UDAValue)=delete
| DeckItem (const std::string &, UDAValue, const std::vector< Dimension > &active_dim, const std::vector< Dimension > &default_dim)
| DeckItem (const std::string &, double, const std::vector< Dimension > &active_dim, const std::vector< Dimension > &default_dim)
DeckItem | emptyStructuralCopy () const
const std::string & | name () const
bool | defaultApplied (size_t) const
bool | hasValue (size_t) const
size_t | data_size () const
template<typename T>
T | get (size_t index) const
double | getSIDouble (size_t) const
std::string | getTrimmedString (size_t) const
template<typename T>
std::vector< T > & | getData ()
template<typename T>
const std::vector< T > & | getData () const
const std::vector< double > & | getSIDoubleData () const
const std::vector< value::status > & | getValueStatus () const
const std::vector< Dimension > & | getActiveDimensions () const
template<typename T>
void | shrink_to_fit ()
void | push_back (UDAValue)
void | push_back (int)
void | push_back (double)
void | push_back (std::string)
void | push_back (RawString)
void | push_back (UDAValue, size_t)
void | push_back (int, size_t)
void | push_back (double, size_t)
void | push_back (std::string, size_t)
void | push_backDefault (UDAValue, std::size_t n=1)
void | push_backDefault (int, std::size_t n=1)
void | push_backDefault (double, std::size_t n=1)
void | push_backDefault (std::string, std::size_t n=1)
void | push_backDefault (RawString, std::size_t n=1)
template<typename T>
void | push_backDummyDefault (std::size_t n=1)
type_tag | getType () const
void | write (DeckOutput &writer) const
bool | equal (const DeckItem &other, bool cmp_default, bool cmp_numeric) const
bool | operator== (const DeckItem &other) const
bool | operator!= (const DeckItem &other) const
bool | is_uda ()
bool | is_double ()
bool | is_int ()
bool | is_string ()
bool | is_raw_string ()
UDAValue & | get_uda ()
template<class Serializer>
void | serializeOp (Serializer &serializer)
void | reserve_additionalRawString (std::size_t)
template<>
UDAValue | get (size_t index) const
template<>
void | shrink_to_fit ()
template<>
void | shrink_to_fit ()
template<>
const std::vector< double > & | getData () const

## Static Public Member Functions

static DeckItem | serializationTestObject ()
static bool | to_bool (std::string string_value)

## Friends

std::ostream & | operator<< (std::ostream &os, const DeckItem &item)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Deck/DeckItem.hpp
- opm/input/eclipse/Deck/DeckItem.cpp